"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertOrderedImports = void 0;
const unsupportedTSLintOptions = [
    "import-sources-order",
    "module-source-path",
    "named-imports-order",
];
const convertOrderedImports = (tslintRule) => {
    const notices = unsupportedTSLintOptions
        .filter((option) => tslintRule.ruleArguments.includes(option))
        .map((option) => `Option "${option}" is not supported by ESLint.`);
    return {
        plugins: ["eslint-plugin-import"],
        rules: [
            {
                ...(notices.length !== 0 && { notices }),
                ruleName: "import/order",
            },
        ],
    };
};
exports.convertOrderedImports = convertOrderedImports;
//# sourceMappingURL=ordered-imports.js.map